# iterator.h File Reference

## Detailed Description

Helper iterator classes for the std::transform() functions. This file is a GNU parallel extension to the Standard C++ Library.

Definition in file iterator.h.

Go to the source code of this file.

## Namespaces

- namespace __gnu_parallel

## Classes

- class __gnu_parallel::iterator_pair< Iterator1, Iterator2, IteratorCategory >
    A pair of iterators. The usual iterator operations are applied to both child iterators. More...
- class __gnu_parallel::iterator_triple< Iterator1, Iterator2, Iterator3, IteratorCategory >
    A triple of iterators. The usual iterator operations are applied to all three child iterators. More...

## Defines

- #define _GLIBCXX_PARALLEL_ITERATOR_H